Uploaded image for project: 'WildFly Core'
  1. WildFly Core
  2. WFCORE-5977

Move jakarta.inject to test bom and use Jakarta EE 10 version

    XMLWordPrintable

Details

    Description

      WildFly Core is using jakarta.inject only for the test suite. Since we have already detached this dependency from full due to WFLY-16684, we are able now to remove the Jakarta EE 8 version to the testbom and upgrade it to 2.x based on the Jakarta package names.

      Together with this task, we have to migrate the tests to use the Jakarta package names for the jakarta.inject annotations.

      Attachments

        Issue Links

          Activity

            People

              yborgess1@redhat.com Yeray Borges Santana
              yborgess1@redhat.com Yeray Borges Santana
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: